declare module BA.Ui.Designer {
    class DesignerManagement {
        static drake: dragula.Drake;
        static expandFirstNode: boolean;
        static RefreshDesignPartial: boolean;
        static SuccessfulNodeKey: string;
        static wizzardCreateClicked?: boolean;
        static newConfigurationUrl: string;
        private static _FilterTimer;
        private static _NodeKey;
        private static _SubmitInProgress;
        static applyInProgress: boolean;
        static _NodeIsClicked: boolean;
        private static _ParentOfRemovedNode;
        private static _LastClickedNodeId;
        private static _LastFocusedNodeId;
        private static _FocusedElement;
        static refreshCallback: any;
        private static _ScrollPosition;
        private static _AutoSubmitInProgress;
        private static _NodeAccessorForHandle;
        private static _NodeAccessor;
        private static _Json;
        private static _LastId;
        private static _LastAccept;
        private static _FirstDirtyByDrag;
        private static _DraggedElement;
        private static upperScrollerCoo;
        private static lowerScrollerCoo;
        private static scrollUpInterval;
        private static scrollDownInterval;
        private static isAboveUpper;
        private static isAboveLower;
        private static wasDropAtEnd;
        private static elementOnMove;
        private static isDesignerProcessing;
        private static clickNotAllowed;
        static UpdateDesignerVisibility(): void;
        static ToolboxTreeList_BeginCallback(s: any, e: any): void;
        static ToolboxTreeList_EndCallback(): void;
        static PreviewResizing(s: any, e: any): void;
        static Wizard_CreateSuccess(e: any): void;
        static Wizard_CreateError(e: any): void;
        static CreateButtonClicked(s: BAClientButtonProperty, e: ASPxClientProcessingModeEventArgs): void;
        static ToolboxSearchKeyUp(s: ASPxClientTextBox, e: ASPxClientEditKeyEventArgs): void;
        static DoToolboxFiltering(s: ASPxClientTextBox, e: ASPxClientEditKeyEventArgs): void;
        static DesignPartial_Init(s: BAClientTreeList, e: ASPxClientEventArgs): void;
        static DesignPartial_EndCallback(): void;
        static clickInProgress: boolean;
        static NodeClick(s: BAClientTreeList, e: ASPxClientTreeListNodeEventArgs): void;
        static NodeFocusing(s: ASPxClientTreeList, e: ASPxClientTreeListNodeEventArgs): void;
        static PreviewConfigurationBeginCallback(s: MVCxClientPopupControl, e: MVCxClientBeginCallbackEventArgs): void;
        static PreviewConfigurationEndCallback(s: MVCxClientPopupControl, e: ASPxClientEndCallbackEventArgs): void;
        static PreviewConfigurationClosing(s: any, e: any): void;
        static PreviewConfigurationShown(s: BAClientPopupControl, e: ASPxClientPopupWindowEventArgs): void;
        static PreviewConfigurationResize(s: ASPxClientPopupControl, e: ASPxClientPopupWindowEventArgs): void;
        static ShowPropertiesForNode(nodeKey: string): void;
        static PropertiesPanel_OnInit(s: BAClientTreeList, e: ASPxClientEventArgs): void;
        static PropertiesPanel_OnBeginCallback(s: MVCxClientCallbackPanel, e: MVCxClientBeginCallbackEventArgs): void;
        static PropertiesPanel_OnEndCallback(s: MVCxClientCallbackPanel, e: ASPxClientEndCallbackEventArgs): void;
        static PropertiesPanel_OnCallbackError(s: any, e: any): void;
        static OnCallbackError(s: any, e: any): void;
        static PropertiesAjaxForm_SubmitProperties(s: any, e: any, callback: any): void;
        static PropertiesAjaxForm_Submit(s: any, e: ASPxClientEventArgs): void;
        static SubmitTheForm(): void;
        static PropertiesAjaxForm_OnSuccess(s: any, e: any): void;
        private static InitTooltips;
        static PropertiesAjaxForm_OnFailure(s: any, e: any): void;
        static PropertiesAjaxForm_InputGotFocus(s: ASPxClientEdit, e: ASPxClientEventArgs): void;
        static DesignTreeCallback_EndCallback(s: any, e: any): void;
        static RawGridDoubleClick(s: BAClientGridView, e: ASPxClientGridViewRowClickEventArgs): void;
        static Processing(isProcessing: boolean): void;
        static InitDAD(): void;
        /** Helper method to prepare drag model and perform a callback. Also sets tab as dirty. */
        private static PrepareDragModelAndPerformCallback;
        private static HideAllChildNodes;
        private static DndEnableToolboxPanel;
        private static DndEnableDesignPanel;
        static OnRowClick(s: BAClientGridView, e: ASPxClientGridViewRowClickEventArgs): void;
        private static ScrollTowardsDown;
        private static ScrollTowardsUp;
        private static EndAutoscroll_Up;
        private static EndAutoscroll_Down;
        private static PositionLowerAutoscroll;
        private static LastDropCallback;
    }
}
