declare module BA.Ui.Form {
    class FormTools {
        static DetailGridsCount: number;
        static DelayedInProgress: boolean;
        private static UpdateUiSubMethods;
        static AddUiUpdateAction(methodHeader: string): void;
        static FillHiddenData(): void;
        static UpdateUI(updateRibbon: boolean): void;
        static ActivateTooltips(): void;
        static UpdateRibbonVisibility(): void;
        static UpdateRibbon(ribbon: BAClientRibbon, temporary: Classes.Guid): void;
        /**
         * Refresh all controls
         * @param keys key indicator which controls will be refreshed
         */
        static RefreshUiControlsOfList(keys: string[]): void;
        static InterceptRtfPasteIntoHtml(): void;
        static ActivateFieldTracking(formId?: string): void;
        /**
        * Delayed loading of all grids on finish
        */
        static LoadDelayedControls(context: string, onlyTheseControls?: any): void;
        private static RetryNotReadyGrids;
        private static WaitForDelayedGrids;
        static ChangeCompleteFormEditMode(isEditMode: boolean): void;
        static ForceLoadFromDatabase(): void;
        static SubmitForm(): void;
        static RefreshForm(): void;
        static RefreshFormAndData(): void;
        static AdjustFormHeight(): void;
    }
}
