declare module BA.Ui.Grid {
    class GridAsControlEvents {
        private static _NewPrimaryRecordGuid;
        static OnInit(grid: BAClientGridView, e: ASPxClientEventArgs): void;
        static OnBeginCallback(grid: BAClientGridView, e: MVCxClientBeginCallbackEventArgs): void;
        static OnEndCallback(grid: BAClientGridView, e: ASPxClientEndCallbackEventArgs): void;
        /**
         * Handler for the command column clicks in case of grid showing the detail data including detail data from parent record.
         * @param s grid
         * @param e clicked row
         */
        static OnClickWithParentData(s: BAClientGridView, e: ASPxClientGridViewCustomButtonEventArgs): void;
        /**
         * Gives possibility to set primary record. After call to this method, refresh or perform callback has to be executed on the grid.
         * @param primary Guid of the primary record to be
         */
        static SetAsPrimary(primary: string): void;
        /**
         * Packs grid state
         * @param s
         */
        static PackState(s: string): {
            gridState: string;
        };
    }
}
