declare module BA.Ui.Pages {
    class PageTools {
        static AddWidgetToCurrentPage(widget: BA.Ui.Widgets.Widget): void;
        static GetCurrentPage(): Page;
        static GetPage(id: BA.Classes.Guid): Page;
        static GetPageParameterJsonString(): string;
        static GetPageParameter<T extends BA.Ui.Widgets.Parameters.WidgetParameterBase>(): T;
        static OnPageParameterModified(modifiedByWidgetWithId: string, newOrmData?: BA.Ui.Widgets.Parameters.OrmData): void;
        static GetWidgetInCurrentPage(id: BA.Classes.Guid): BA.Ui.Widgets.Widget;
        static GetContainerWidget<T extends BA.Ui.Widgets.Widget>($element: JQuery): T;
        static GetContainerWidgetJQ($element: JQuery): JQuery;
        static IsInWidget($element: JQuery): boolean;
    }
}
